
    <service name="Bus">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:type=Bus,bus.id=*"/>

      <config>
        <option name="bus.id"
                description="Bus ID"
                default=""/>
      </config>

      <plugin type="autoinventory"/>
      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <actions include="start,stop"/>

      <metric name="Availability"
              indicator="true"/>
    </service>

    <service name="CXF Endpoint">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,type=Bus.Service.Endpoint,service=*,port=*"/>

        <config include="endpoint"/>

        <plugin type="autoinventory"/>
        <plugin type="control"
                class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

        <actions include="start,stop"/>

        <metric name="Availability"
                indicator="true"/>
    </service>

    <service name="WorkQueueManager">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,WorkQueueManager=Bus.WorkQueueManager,type=WorkQueues"/>

      <config>
        <option name="bus.id"
                description="Bus ID"
                default=""/>
      </config>
	  
      <plugin type="autoinventory"/>
      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <actions include="shutdown"/>

      <metric name="Availability"
              indicator="true"/>
    </service>

    <service name="WorkQueue">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,WorkQueueManager=Bus.WorkQueueManager,type=WorkQueues,name=*"/>

        <config include="workqueue"/>

        <plugin type="autoinventory"/>
        <plugin type="control"
                class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

        <metric name="Availability"
                indicator="true"/>
    </service>

    <service name="ServerServiceCounter">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,type=Performance.Counter.Server,service=*,port=*"/>

      <config include="endpoint"/>

      <plugin type="autoinventory"/>

      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <metrics include="counter">
        <metric name="Availability"
                indicator="true"/>
        </metrics>
    </service>

    <service name="ClientServiceCounter">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,type=Performance.Counter.Client,service=*,port=*"/>

      <config include="endpoint"/>

      <plugin type="autoinventory"/>

      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <metrics include="counter">
        <metric name="Availability"
                indicator="true"/>
        </metrics>
    </service>

    <service name="ServerOperationCounter">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,type=Performance.Counter.Server,service=*,port=*,operation=*"/>

      <config include="endpoint">
        <option name="operation"
                description="Operation Name"
                default=""/>
      </config>

      <plugin type="autoinventory"/>

      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <metrics include="counter">
        <metric name="Availability"
                indicator="true"/>
        </metrics>
    </service>

    <service name="ClientOperationCounter">
      <property name="OBJECT_NAME"
                value="${cxf-domain}:bus.id=*,type=Performance.Counter.Client,service=*,port=*,operation=*"/>

      <config include="endpoint">
        <option name="operation"
                description="Operation Name"
                default=""/>
      </config>

      <plugin type="autoinventory"/>

      <plugin type="control"
              class="org.hyperic.hq.product.jmx.MxControlPlugin"/>

      <metrics include="counter">
        <metric name="Availability"
                indicator="true"/>
        </metrics>
    </service>

